
Foreman - Refactor #12957

current_parameters in hostgroup is not needed
Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3011

  

Description

current_parameters in host refreshes all host parameters including those that are inherited from hg, os, etc.

In hostgroup the only parameters present are the hostgroup's and it's ancestor's group parameters.

When the parent changes the parameters are already refreshed through process_hostgroup.

current_parameters is invoked in other cases (like changing an os) that are relavant for host but not for hostgroup as they have no

affect on hostgroup's parameters tab.

Associated revisions

Revision 43860d6e - 01/12/2016 03:32 AM - Ori Rabin

Fixes #12957 - removing current_parameters from hostgroup

History

#1 - 12/30/2015 07:51 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3011 added

#2 - 01/12/2016 03:30 AM - Dominic Cleal

- Category set to Web Interface

- translation missing: en.field_release set to 71

#3 - 01/12/2016 04:06 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 43860d6ea465586df8c43a99a5f4287ff1f8c88d.
